package Fairness.Nodes.NodeBehaviors;

import Fairness.Nodes.Node;

/**
 * RefuseForwardBehavior inherits the SimpleNodeBehavior and refuses to forward
 * the contents to its child. It has the allow forward flag set as false
 *
 * @author Jason Winnebeck
 */
public class RefuseForwardBehavior extends SimpleNodeBehavior {
    /**
     * Returns true if this node behavior is currently allowing the Node to send to the given
     * target.
     *
     * @param myNode non-null Node to which this behavior belongs.
     * @param target non-null Node that is not equal to myNode.
     */
    public boolean allowForward( Node myNode, Node target ) {
        return false;
    }
}
