package Fairness.Publishers;

/**
 * BitForBitPublisher implements a publisher that sets the tax equal to the income (the standard
 * SplitStream approach).
 * <p/>
 * This class is not used in the current implementation as taxation was not implemented.
 *
 * @author Jason Winnebeck
 */
public class BitForBitPublisher extends Publisher {
    /**
     * Constructs a BitForBitPublisher.
     *
     * @param availableStripes number of stripes the content is broken up into
     */
    public BitForBitPublisher( int availableStripes ) {
        super( availableStripes );
    }

    /**
     * Implements precisely the getTax method, except that the child class can assume the
     * preconditions on r have been checked.
     *
     * @see #getTax(int)
     */
    protected int getTaxImpl( int r ) {
        return r;
    }
}
