package Fairness.Publishers;

/**
 * LinearTaxationPublisher implements the taxation algorithms from the linear taxation paper.
 * <p/>
 * This class is not used in the current implementation as taxation was not implemented.
 *
 * @author Jason Winnebeck
 */
public class LinearTaxationPublisher extends Publisher {
    /**
     * Constructs a new LinearTaxationPublisher that splits its content into the given number of
     * stripes.
     */
    public LinearTaxationPublisher( int availableStripes ) {
        super( availableStripes );
    }

    /**
     * Implements precisely the getTax method, except that the child class can assume the
     * preconditions on r have been checked.
     *
     * @see #getTax(int)
     */
    protected int getTaxImpl( int r ) {
        throw new UnsupportedOperationException( "LinearTaxationPublisher not implemented" );
    }
}
